com.google.gwt.dom.client

## Class TableCellElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.TableCellElement

-     @TagName(value={"td","th"})
      public class TableCellElement
      extends Element

  The object used to represent the TH and TD elements.
  See Also:
    W3C HTML Specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG_TD`
    `static java.lang.String` | `TAG_TH`

    - ### Fields inherited from class com.google.gwt.dom.client.Element

      `DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

    - ### Fields inherited from class com.google.gwt.dom.client.Node

      `DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TableCellElement()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableCellElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
    `java.lang.String` | `getAlign()` Horizontal alignment of data in cell.
    `int` | `getCellIndex()` The index of this cell in the row, starting from 0.
    `java.lang.String` | `getCh()` Alignment character for cells in a column.
    `java.lang.String` | `getChOff()` Offset of alignment character.
    `int` | `getColSpan()` Number of columns spanned by cell.
    `java.lang.String` | `getHeaders()` List of id attribute values for header cells.
    `int` | `getRowSpan()` Number of rows spanned by cell.
    `java.lang.String` | `getVAlign()` Vertical alignment of data in cell.
    `static boolean` | `is(Element elem)` Determine whether the given `Element` can be cast to this class.
    `static boolean` | `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
    `static boolean` | `is(Node node)` Determine whether the given `Node` can be cast to this class.
    `void` | `setAlign(java.lang.String align)` Horizontal alignment of data in cell.
    `void` | `setCh(java.lang.String ch)` Alignment character for cells in a column.
    `void` | `setChOff(java.lang.String chOff)` Offset of alignment character.
    `void` | `setColSpan(int colSpan)` Number of columns spanned by cell.
    `void` | `setHeaders(java.lang.String headers)` List of id attribute values for header cells.
    `void` | `setRowSpan(int rowSpan)` Number of rows spanned by cell.
    `void` | `setVAlign(java.lang.String vAlign)` Vertical alignment of data in cell.

    - ### Methods inherited from class com.google.gwt.dom.client.Element

      `addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

    - ### Methods inherited from class com.google.gwt.dom.client.Node

      `appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TAG_TD

          public static final java.lang.String TAG_TD

      See Also:
        Constant Field Values

    - #### TAG_TH

          public static final java.lang.String TAG_TH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TableCellElement

          protected TableCellElement()

  - ### Method Detail

    - #### as

          public static TableCellElement as(Element elem)

      Assert that the given `Element` is compatible with this class and automatically typecast it.

    - #### is

          public static boolean is(JavaScriptObject o)

      Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

    - #### is

          public static boolean is(Node node)

      Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### is

          public static boolean is(Element elem)

      Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### getAlign

          public final java.lang.String getAlign()

      Horizontal alignment of data in cell.
      See Also:
        W3C HTML Specification

    - #### getCellIndex

          public final int getCellIndex()

      The index of this cell in the row, starting from 0. This index is in document tree order and not display order.

    - #### getCh

          public final java.lang.String getCh()

      Alignment character for cells in a column.
      See Also:
        W3C HTML Specification

    - #### getChOff

          public final java.lang.String getChOff()

      Offset of alignment character.
      See Also:
        W3C HTML Specification

    - #### getColSpan

          public final int getColSpan()

      Number of columns spanned by cell.
      See Also:
        W3C HTML Specification

    - #### getHeaders

          public final java.lang.String getHeaders()

      List of id attribute values for header cells.
      See Also:
        W3C HTML Specification

    - #### getRowSpan

          public final int getRowSpan()

      Number of rows spanned by cell.
      See Also:
        W3C HTML Specification

    - #### getVAlign

          public final java.lang.String getVAlign()

      Vertical alignment of data in cell.
      See Also:
        W3C HTML Specification

    - #### setAlign

          public final void setAlign(java.lang.String align)

      Horizontal alignment of data in cell.
      See Also:
        W3C HTML Specification

    - #### setCh

          public final void setCh(java.lang.String ch)

      Alignment character for cells in a column.
      See Also:
        W3C HTML Specification

    - #### setChOff

          public final void setChOff(java.lang.String chOff)

      Offset of alignment character.
      See Also:
        W3C HTML Specification

    - #### setColSpan

          public final void setColSpan(int colSpan)

      Number of columns spanned by cell.
      See Also:
        W3C HTML Specification

    - #### setHeaders

          public final void setHeaders(java.lang.String headers)

      List of id attribute values for header cells.
      See Also:
        W3C HTML Specification

    - #### setRowSpan

          public final void setRowSpan(int rowSpan)

      Number of rows spanned by cell.
      See Also:
        W3C HTML Specification

    - #### setVAlign

          public final void setVAlign(java.lang.String vAlign)

      Vertical alignment of data in cell.
      See Also:
        W3C HTML Specification